#!/usr/bin/env bash
set -euo pipefail

# Check if alias argument is provided
if [ $# -eq 0 ]; then
  echo "Please provide the Drush Alias. (@$alias or @live)"
  exit 1
fi

alias=$1
branch=${2:-1.0.x}

root_dir=$(pwd)
echo "$root_dir";

### Initial setup and validations
cd drupal
source ${HOME}/.bashrc

drush @$alias ssh "ddev drush status"
drush @$alias ssh "chmod +w sites/default"
drush @$alias ssh "git fetch && git checkout $branch && git pull"
drush @$alias ssh "chmod -w sites/default"
drush @$alias ssh "ddev drush updb -y"
drush @$alias ssh "ddev drush cr"
drush @$alias ssh "ddev drush deploy"
# The demo server does not have enough memory to run elastic search
#drush @$alias ssh "ddev service disable elasticsearch"
#drush @$alias ssh "ddev service disable elasticsearch8"
#Shut down ddev to get the memory back
#drush @$alias ssh "ddev stop"
drush @$alias ssh "ddev exec 'cd /var/www/html/frontend && npm ci --cache /var/www/html/.npm_global_cache --prefer-offline'"
drush @$alias ssh "ddev exec 'cd /var/www/html/frontend && npm run build'"
drush @$alias ssh "ddev restart"
