#!/usr/bin/env bash
set -euo pipefail
pwd

# Go to frontend folder and build frontend.
cd frontend
npm --version
node --version

ls -la

# Installs dependencies from cache and ignores scripts including postinstall.
npm ci --cache ${CI_PROJECT_DIR}/.npm_global_cache --prefer-offline --ignore-scripts

# Run prettier
npm run prettier

# Run TS check
npm run typecheck

# Run lint
npm run lint
